// CFESChooseHero - [2020-04-13 11:57:46]
#ifndef _CFESCHOOSEHERO_H_
#define _CFESCHOOSEHERO_H_

#include "render.h"
#include "CFEScreen.h"
#include "CFE3DPlayer.h"
#include "CFEHeroScene.h"
#include "CGfxPostProcessRenderer.h"

/*
001253A4 CFESChooseHero::CFESChooseHero()
001253F0 CFESChooseHero::~CFESChooseHero()
001253F4 CFESChooseHero::~CFESChooseHero()
00125408 CFESChooseHero::Init()
00125630 CFESChooseHero::UseMinimalScene()
00125648 CFESChooseHero::SetupPlayers()
001257FC CFESChooseHero::LocaliseCommonCountryList()
00125858 CFESChooseHero::SetupSelectText(int,float,bool)
001258F8 CFESChooseHero::Exit()
0012596C CFESChooseHero::ProcessChoosePlayer()
00125A34 CFESChooseHero::SetupNationality()
00125BFC CFESChooseHero::ProcessPlayer()
00125D90 CFESChooseHero::UpdateCamera()
00125EE8 CFESChooseHero::UpdatePosition()
00125FB8 CFESChooseHero::Process()
00126260 CFESChooseHero::ShutdownNationality()
0012627C CFESChooseHero::ProcessNationality()
001262A2 CFESChooseHero::Render2D()
001262A4 CFESChooseHero::SetupCamera(bool)
0012644C CFESChooseHero::PreRender3D()
001265F0 CFESChooseHero::Render3D()
0012665C CFESChooseHero::RenderScene(EGfxRenderPass)
00126738 CFESChooseHero::Render2DHUD()
001268CC CFESChooseHero::SetNationalKit()
00126938 CFESChooseHero::BackButtonPressed()

0x464
*/

class CFESChooseHero : public CFEScreen, public CGfxPostProcessRenderer {
public:
  CFESChooseHero();            // 001253A4
  ~CFESChooseHero();           // 001253F0 001253F4
  virtual void Init();         // 00125408
  virtual void Exit();         // 001258F8
  virtual void Process();      // 00125FB8
  virtual void Render2D();     // 001262A2
  virtual void PreRender3D();  // 0012644C
  virtual void Render3D();     // 001265F0
  virtual void Render2DHUD();  // 00126738

  void SetupPlayers();                     // 00125648
  void SetupSelectText(int, float, bool);  // 00125858
  void ProcessChoosePlayer();              // 0012596C
  void SetupNationality();                 // 00125A34
  void ProcessPlayer();                    // 00125BFC
  void UpdateCamera();                     // 00125D90
  void UpdatePosition();                   // 00125EE8
  void ShutdownNationality();              // 00126260
  void SetupCamera(bool);                  // 001262A4
  void RenderScene(EGfxRenderPass);        // 0012665C
  void SetNationalKit();                   // 001268CC

  static bool UseMinimalScene();            // 00125630
  static void LocaliseCommonCountryList();  // 001257FC
  static void ProcessNationality();         // 0012627C
  static void BackButtonPressed();          // 00126938

  // size 0x464
  // int vtable_0
  //父类CFEScreen 0xc
  //父类CGfxPostProcessRenderer field_10; //00126570
  int player_index_14[6];  //更衣室6个球员随机列表
  TPlayerInfo tPlayerInfo_2C[6];
  CFE3DPlayer* p3DPlayer_344[6];
  TPoint3D point3D_35C[6];
  int field_3a4[6];
  int field_3bc[6];
  int field_3d4[6];
  int field_3ec[6];
  TBuildKitTeamTextures tBKTTex_404;
  int field_41c;
  int dSelect_420;  //被选中的球员
  int field_424;
  // int field_426;
  CFTTVector32 field_428;

  float field_434;
  float field_438;
  float field_43c;

  int field_440;
  int field_444;
  int field_448;
  int field_44c;

  int field_450;
  int field_454;
  CFEHeroScene* pHeroScene_458;
  int field_45c;
  bool field_460;

  static bool ms_bBackButtonPressed;
};

#endif  //_CFESCHOOSEHERO_H_